// ----------------------------------------
//メッセージ表示用
// ----------------------------------------

function fMessage( str, x, y, /*rows,*/ h, siz, col ) {
	var i;

	var na = str.indexOf("#NAME");//名前置換があるか
	if(na >= 0) {
		var cn = sts[0].name;
		if(numOfPty > 1) cn += "達";
//		str = str.replace(/#NAME/g, cn);//正規表現で全部を置換、JSならこの１行でOK
//↓正規表現が使えない言語の場合
while(true) {
 var bas = str;
 str = str.replace("#NAME", cn);
 if(bas == str) break;
}
	}

	var sn = str.split("\n");//改行を区切り文字とした一次元配列を生成
	bg.font = siz + "px bold monospace";//等幅フォントを指定
	bg.fillStyle = col;
	bg.textAlign = "left";
	for(i = 0; i < sn.length; i ++) bg.fillText(sn[i], x, y+h*i);
	bg.textAlign = "center";
}
